<?php
//---------------------------------------------------------------------------------------------------------
// 27/Noviembre/2015
// Versión 1.0 Fichero para mostrar la descarga del fichero sili de Envio 
//---------------------------------------------------------------------------------------------------------
?>

<?php
if ($numero_fichero != NULL) {
    $albaran = new Albaran($numero_fichero, true, true, true);

    if ($albaran->codigo > 0) {
	header("Content-Type: text/plain");
	header("Content-Disposition: attachment; filename=factu$numero_fichero.txt");
	/* Registro indentificacion */
	$rI = "I";
	$rI .="FACTUL";   //Identif. de Información
	$rI .="01"; //Email de origen
	$rI .="ALBLOG";  //Tipo de fichero
	$rI .="01";  //Version del fichero
	$rI .="000000";   //Nº de transmisión emisor 
	/* Registro de Cabecera */
	$rC = "C";     //Tipo de registro
	$rC .= str_pad(Shop::$empresa->nombre_legal, 40, " ", STR_PAD_RIGHT);  // Nomre proveedor
	$rC .= str_pad($albaran->cliente->nombre_legal, 40, " ", STR_PAD_RIGHT); //Nombre Cliente
	$rC .= date_format($albaran->fecha_date_format, "Ymd"); //Fecha del pedido
	$rC.= ""; //Codigo del pedido
	$rC .=""; //tipo del pedido
	$rC .= "E"; //Moneda
	$rC .= "02"; //Tipo de documento
	$rc .= ""; //Fecha Albaran de entrega
	$rc .= str_pad($albaran->codigo, "0", STR_PAD_LEFT); //Codigo albaran entrega
	$rC .= ""; //Buzon usuario pedido/entrega
	$rC .= ""; //Numero de paquetes o palets
	$rC .="LIBnnnnn"; //Codigo sinli-csl proveedor/remitente
	$rC .="LIBnnnnn"; //Codigo sinli-csl cliente/receptor
	/* Registro de punto operacional de entrega */
	$rPO = "E"; //Tipo de Registro
	$rPO = " "; //Nombre del punto de entrega
	$rPO = " "; //Dirección
	$rPO = " "; //codigo postal
	$rPO = " "; //localidad
	$rPO = " "; //Provincia
	/* Registro detalle */
	$rD = "";
	foreach ($albaran->lineas as $key => $objeto) {
	    $rD .= "D"; //Tipo de registro
	    $rD .= $objeto->objeto_articulo->isbn; //ISBN
	    $rD .= $objeto->objeto_articulo->ean; //EAN
	    $rD .= $objeto->objeto_articulo->referencias; //Referencia
	    $rD .= str_pad($objeto->num_doc, 10, " ", STR_PAD_RIGHT); //Titulo
	    $rD .= date_format($objeto->fecha_date_format, "Ymd"); //Cantidad
	    $rD .= str_pad($objeto->total_albaran * 100, 10, "0", STR_PAD_LEFT); //Precio
	    $rD .= "N"; //Pendientes
	    $rD .= $objeto->obeto_articulo->tipo_precio; //Tipo de precio
	    $rD .= "N"; //Origen de pedido
	    $rD .= " "; //24
	    $rD .= "$albaran->num_doc"; //codigo de pedidos
	    $rD.="\r\n";
	}
	/* Mostramos el contenido */
	?><pre><?php
	    echo $rI . "\r\n";
	    echo $rC . "\r\n";
	    echo $rD;
	    echo $rDID . "\r\n";
	    echo $rDID2 . "\r\n";
	    echo $rDID3 . "\r\n";
	    echo $rDID4 . "\r\n";
	    ?>
	</pre>
	<?php
    } else {
	?>
	<p class="error_sinli"><?= traducir("No se ha podido cargar la factura"); ?></p>
	<?php
    }
}
?>